### Function

# Foundry subprocess_wait_check

#### Declaration [src]

    DexFuture*
    foundry_subprocess_wait_check (
      GSubprocess* subprocess,
      DexCancellable* cancellable
    )

#### Description [src]

If `cancellable` is cancelled, then `subprocess` will be force exited.

#### Parameters

`subprocess`

  Type: `GSubprocess`

  A `GSubprocess`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `DexCancellable`

  A `DexCancellable`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a boolean.

The caller of the function takes ownership of the data, and is responsible for freeing it.